Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: I18n
Created: 2012-02-22 Assigned To: Karsten Dambekalns
Updated: 2012-02-24 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Encapsulate i18n configuration so it can be passed around and modified easily
Description

The behavior of the i18n component needs to be configurable, down to per request in some cases. Thus a configuration object to hold
configuration should be available.

Associated revisions
Revision 7323b900 - 2012-02-23 17:01 - Karsten Dambekalns

[!!!][FEATURE] Adds i18n configuration holder

To control the behavior of the i18n component a way to
configure the "current" locale, fallback rules for resolving
of translations and possible more is needed.

This change adds a Configuration object to the i18n code
which encapsulates the configurable parts.

For early adopters this change means the calls to
getDefaultLocale() and getCurrentLocale() on I18n\Service
need to be routed to Service->getConfiguration()->…
instead.

Change-Id: Ia1174cedf556e2cdd1e992d447fb2a0cd79953c9
Resolves: #34169
Releases: 1.1

History
#1 - 2012-02-22 11:06 - Karsten Dambekalns
- Category set to I18n
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-02-22 13:07 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9146

2015-08-03 1/2

http://review.typo3.org/9146


#3 - 2012-02-23 17:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9146

#4 - 2012-02-24 02:43 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7323b900fb1c96e14f36e2cc7b67b064dc01d912.
